{
  "compilerOptions": {
    "target": "esnext",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "strictFunctionTypes": false,
    "strict": true,
    "noImplicitAny": false,
    "noLib": false,
    "sourceMap": true,
    "resolveJsonModule": true,
    "esModuleInterop": true,
    "lib": ["esnext", "dom"],
    "baseUrl": "./",
    "allowJs": true,
    "skipLibCheck": true,
    "allowSyntheticDefaultImports": true,
    "forceConsistentCasingInFileNames": true,
    "jsx": "preserve",
    "jsxFactory": "h",
    "jsxFragmentFactory": "Fragment",
    "paths": {
      "@/*": ["src/*"],
      "#/*": ["types/*"]
    },
    "typeRoots": ["./node_modules/@types/", "./types"],
    "types": ["vite/client"]
  },
  "include": ["mock/**/*.ts", "src/types/*.d.ts", "types/*.d.ts", "src/**/*.ts", "src/**/*.vue", "vite.config.ts"],
  // 需要忽略的文件
  "exclude": ["node_modules", "dist", "**/*.js"]
}
